CM(3)

PACKAGE
cm - Routines to manage child processes

PURPOSE
These routines are meant to provide a generic and simple to use child process management facility.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

cm_manage
    Register a function to manage a child process.

cm_unmanage
    Terminate the management of a child process for state changes.

cm_poll
    Poll for child process state changes.

cm_poll_silent
    Poll for child process state changes.

cm_PROTO_stop_func
    This routine is called when a child process is stopped.

cm_PROTO_term_func
    This routine is called when a child process is killed.

cm_PROTO_exit_func
    This routine is called when a child process exits.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/